For the complete documentation index, see llms.txt. This page is also available as Markdown.

SLOs Dashboard

This contains APIs related to SLOs dashboard

get
Query parameters
accountIdstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

pageNumberinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 10
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/slo-dashboard/environment-identifiers
GET /slo-dashboard/environment-identifiers?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
get
Query parameters
accountIdstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

pageNumberinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 10
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/slo-dashboard/monitored-services
GET /slo-dashboard/monitored-services?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
get
Query parameters
accountIdstringRequired

Account Identifier for the Entity.

secondaryEventTypestring · enumRequiredPossible values:
identifiersstring[] · min: 1 · max: 2147483647Required
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/slo-dashboard/secondary-events-details
GET /slo-dashboard/secondary-events-details?accountId=text&secondaryEventType=Downtime&identifiers=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
get
Path parameters
identifierstringRequired

SLO identifier for the entity

Query parameters
startTimeinteger · int64Required
endTimeinteger · int64Required
accountIdstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/slo-dashboard/secondary-events/{identifier}
GET /slo-dashboard/secondary-events/{identifier}?startTime=1&endTime=1&accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get all SLOs count by risk

get
Query parameters
accountIdstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

userJourneyIdentifiersstring[]Optional

For filtering on the basis of user journeys' identifiers

monitoredServiceIdentifierstringOptional

For filtering on the basis of monitored services' identifiers

filterstringOptional

For filtering on the basis of name

sloTypestring · enumOptional

For filtering on the basis of SLO type

Possible values:
evaluationTypestring · enumOptional

For filtering on the basis of SLI Evaluation type

Possible values:
envIdentifiersstring[]Optional

For Filtering on the basis of environment identifiers

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/slo-dashboard/risk-count
GET /slo-dashboard/risk-count?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get SLO consumption breakdown

get
Path parameters
identifierstringRequired

SLO identifier for the entity

Query parameters
startTimeinteger · int64Required
endTimeinteger · int64Required
accountIdstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/slo-dashboard/widget/{identifier}/consumption
GET /slo-dashboard/widget/{identifier}/consumption?startTime=1&endTime=1&accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get SLO dashboard details

get
Path parameters
identifierstringRequired

SLO identifier for the entity

Query parameters
startTimeinteger · int64Optional
endTimeinteger · int64Optional
accountIdstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/slo-dashboard/widget/{identifier}
GET /slo-dashboard/widget/{identifier}?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get SLO list view

get
Query parameters
accountIdstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

userJourneyIdentifiersstring[]Optional

For filtering on the basis of user journeys' identifiers

monitoredServiceIdentifierstringOptional

For filtering on the basis of monitored services' identifiers

filterstringOptional

For filtering on the basis of name

sloTypestring · enumOptional

For filtering on the basis of SLO type

Possible values:
evaluationTypestring · enumOptional

For filtering on the basis of SLI Evaluation type

Possible values:
envIdentifiersstring[]Optional

For Filtering on the basis of environment identifiers

pageNumberinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 10
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/slo-dashboard/widgets/list
GET /slo-dashboard/widgets/list?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get SLO list view

post
Query parameters
accountIdstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

pageNumberinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 10
Body
userJourneyIdentifiersstring[]Optional
monitoredServiceIdentifierstringOptional
searchFilterstringOptional
typestring · enumOptionalPossible values:
compositeSLOIdentifierstringOptional
evaluationTypestring · enumOptionalPossible values:
childResourcebooleanOptional
envIdentifiersstring[]Optional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/slo-dashboard/widgets/list
POST /slo-dashboard/widgets/list?accountId=text HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Content-Type: */*
Accept: */*
Content-Length: 365

{
  "userJourneyIdentifiers": [
    "text"
  ],
  "monitoredServiceIdentifier": "text",
  "targetTypes": [
    "Rolling"
  ],
  "errorBudgetRisks": [
    "EXHAUSTED"
  ],
  "searchFilter": "text",
  "type": "Simple",
  "sloTargetFilterDTO": {
    "type": "Rolling",
    "spec": {
      "type": "text"
    }
  },
  "compositeSLOIdentifier": "text",
  "evaluationType": "Window",
  "evaluationTypes": [
    "Window"
  ],
  "childResource": true,
  "envIdentifiers": [
    "text"
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?